package com.ruoyi.ibs.dashboard.service;

import com.ruoyi.ibs.dashboard.domain.entity.DashboardQuickAccess;
import com.ruoyi.ibs.dashboard.domain.entity.LoadIndDmPaItemHome;
import com.ruoyi.ibs.dashboard.domain.vo.CommonRespVO;
import com.ruoyi.ibs.dashboard.domain.vo.LoanContractDueWarnVO;
import com.ruoyi.ibs.dashboard.domain.vo.WarnInfoVO;

import java.util.List;

/**
 * @Author 吴凯程
 * @Date 2025/3/7
 **/
public interface DashboardService {

    List<LoanContractDueWarnVO> getLoanWarnList(String custIdName,String custType);

    List<WarnInfoVO> getWarnInfoList();

    Long getLoanWarnCount();

    String updateQuickAccess(List<String> routeNames);

    List<DashboardQuickAccess> getQuickAccessList();

    List<String> getRouterList();

    List<LoadIndDmPaItemHome> getIndDmPaItemHomeList();

    CommonRespVO getWarnRespList(String type, Long pageNum, Long pageSize);

    CommonRespVO getTagList(String custId);
}
